<?php

namespace app\index\controller;

use app\common\controller\Frontend;
use think\Db;
class Index extends Frontend
{

    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';

    public function index()
    {
        return $this->view->fetch();
    }

    //基础文章网页
    public function basedata(){
        $key = input('key','');
        if(!$key){
            exit;
        }
        $content = Db::name('basedata')->where('key',$key)->find();
        $this->assign('content',$content['content']);
        return $this->fetch();
    }


    /**
     * app下载页
     * 判断是安卓还是ios
     */
    public function appdownload() {

        if(strpos($_SERVER['HTTP_USER_AGENT'], 'iPhone')||strpos($_SERVER['HTTP_USER_AGENT'], 'iPad')){
            header("Location: ".config('site.ios_downurl'));
        }else if(strpos($_SERVER['HTTP_USER_AGENT'], 'Android')){
            $this->view->assign('downurl', config("site.android_apkUrl"));
            return $this->view->fetch();
        }else{
            $this->view->assign('downurl', config("site.android_apkUrl"));
            return $this->view->fetch();
        }

    }



}
